# Components

- [AI Provider](https://docs.neuron-ai.dev/v1/components/ai-provider.md): Interact with LLM providers or extend the framework to implement new ones.
- [Chat History & Memory](https://docs.neuron-ai.dev/v1/components/chat-history-and-memory.md): Learn how Neuron AI manage multi turn conversations.
- [Embeddings Provider](https://docs.neuron-ai.dev/v1/components/embeddings-provider.md): Integrate services to transform text into vectors for semantic search.
- [Vector Store](https://docs.neuron-ai.dev/v1/components/vector-store.md): NeuronAI provides you with several ready to use interfaces against several vector databases.
- [Pre/Post Processor](https://docs.neuron-ai.dev/v1/components/pre-post-processor.md): Improve the RAG output by pre/post processing prompts and retrieval results.
- [Data loader](https://docs.neuron-ai.dev/v1/components/data-loader.md): Learn how to create data loader pipelines to feed your RAG applications.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neuron-ai.dev/v1/components.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
